## openrazer 3.11.0+dfsg

=== daemon/Makefile ===
# SPDX-License-Identifier: GPL-2.0-or-later

DESTDIR?=/
PREFIX?=/usr

purge_pycache:
	@find -name '__pycache__' | xargs rm -rf

service:
	@sed "s|##PREFIX##|$(PREFIX)|" resources/org.razer.service.in > org.razer.service
	@sed "s|##PREFIX##|$(PREFIX)|" resources/openrazer-daemon.systemd.service.in > openrazer-daemon.service

install-resources: service
	@install -m 644 -D -v resources/razer.conf $(DESTDIR)$(PREFIX)/share/openrazer/razer.conf.example
	@install -m 755 -D -v run_openrazer_daemon.py $(DESTDIR)$(PREFIX)/bin/openrazer-daemon

install-systemd: service
	@install -m 644 -D -v org.razer.service $(DESTDIR)$(PREFIX)/share/dbus-1/services/org.razer.service
	@install -m 644 -D -v openrazer-daemon.service $(DESTDIR)$(PREFIX)/lib/systemd/user/openrazer-daemon.service

install: purge_pycache manpages install-resources install-systemd
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR)

ubuntu_install: purge_pycache manpages install-resources
	python3 setup.py install --prefix=$(PREFIX) --root=$(DESTDIR) --no-compile --install-layout=deb

manpages:
	@install -m 644 -D -v resources/man/razer.conf.5 $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
	@gzip -n $(DESTDIR)$(PREFIX)/share/man/man5/razer.conf.5
	@install -m 644 -D -v resources/man/openrazer-daemon.8 $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8
	@gzip -n $(DESTDIR)$(PREFIX)/share/man/man8/openrazer-daemon.8

=== debian/changelog ===
openrazer (3.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.11.0+dfsg
  * Convert debian/watch to version 5
  * Refresh patches
  * Remove redundant 'Rules-Requires-Root: no'

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Nov 2025 22:49:53 +0100

=== debian/control ===
Source: openrazer
Maintainer: Dylan Aïssi <daissi@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-dkms,
               pkgconf,
               python3,
               python3-setuptools,
               systemd-dev,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/openrazer
Vcs-Git: https://salsa.debian.org/debian/openrazer.git
Homepage: https://openrazer.github.io/
Testsuite: autopkgtest-pkg-dkms

Package: openrazer-meta
Architecture: all
Depends: ${misc:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         openrazer-daemon (= ${binary:Version}),
         python3-openrazer (= ${binary:Version})
Suggests: openrazer-doc (= ${binary:Version})
Description: OpenRazer peripheral drivers (metapackage)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package is a metapackage which depends on the OpenRazer driver and
 userspace daemon, plus a Python library and documentation.

Package: openrazer-driver-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends},
         dkms,
         udev
# To avoid problem with old upstream deb packages
Conflicts: openrazer-kernel-modules-dkms
Provides: openrazer-kernel-modules-dkms
Replaces: openrazer-kernel-modules-dkms
Description: OpenRazer peripheral drivers (DKMS)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides the source code for the OpenRazer kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.
 .
 Please read the Troubleshooting Guide in
 /usr/share/doc/openrazer-driver-dkms/README.Debian.

Package: openrazer-daemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-driver-dkms (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-pyudev,
         python3-setproctitle,
         python3-notify2,
         python3-daemonize,
         gir1.2-gtk-3.0,
         xautomation,
         dbus-user-session
Recommends: python3-openrazer (= ${binary:Version})
Description: OpenRazer peripheral drivers (daemon)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package provides a user-space daemon used to interface with the driver.
 It contains a systemd user unit and an AppStream file.

Package: python3-openrazer
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         openrazer-daemon (= ${binary:Version}),
         python3-dbus,
         python3-gi,
         python3-numpy
Description: OpenRazer peripheral drivers (Python 3)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains a library for interacting with the OpenRazer daemon.

Package: openrazer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: OpenRazer peripheral drivers (documentation)
 OpenRazer is a collection of GNU/Linux drivers for the Razer devices.
 Supported devices include keyboards, mice, mouse-mats, headsets and
 various other devices.
 .
 This package contains scripts on how to interact with the daemon and
 the driver.

=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: s/\+dfsg//g
Owner: openrazer
Project: openrazer
Repack: yes
Repacksuffix: +dfsg
